Package commoble.morered.wires

# Class WireUpdateBuffer

java.lang.Object
net.minecraft.world.level.saveddata.SavedData
commoble.morered.wires.WireUpdateBuffer

public class WireUpdateBuffer extends net.minecraft.world.level.saveddata.SavedData

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.saveddata.SavedData

`net.minecraft.world.level.saveddata.SavedData.Factory<T extends net.minecraft.world.level.saveddata.SavedData>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.world.level.saveddata.SavedData.Factory<WireUpdateBuffer>`
`FACTORY`
`static final String`
`ID`

## Constructor Summary

Constructors
Constructor
Description
`WireUpdateBuffer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`enqueue(net.minecraft.core.BlockPos pos)`
`static WireUpdateBuffer`
`get(net.minecraft.server.level.ServerLevel world)`
`net.minecraft.nbt.CompoundTag`
`save(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)`
`void`
`sendPackets(net.minecraft.server.level.ServerLevel world)`

### Methods inherited from class net.minecraft.world.level.saveddata.SavedData

`isDirty, save, setDirty, setDirty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

public static final String ID

See Also:
  - Constant Field Values

### FACTORY

public static final net.minecraft.world.level.saveddata.SavedData.Factory<WireUpdateBuffer> FACTORY

## Constructor Details

### WireUpdateBuffer

public WireUpdateBuffer()

## Method Details

### get

public static WireUpdateBuffer get(net.minecraft.server.level.ServerLevel world)

### enqueue

public void enqueue(net.minecraft.core.BlockPos pos)

### sendPackets

public void sendPackets(net.minecraft.server.level.ServerLevel world)

### save

public net.minecraft.nbt.CompoundTag save(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)

Specified by:
  `save` in class `net.minecraft.world.level.saveddata.SavedData`